#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::call_hierarchy
{
    class IncomingCalls : public IRequestProvider
    {
    public:
        IncomingCalls() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
